Returns the server hostname for the command

- « MongoDB\Driver\Monitoring\CommandSucceededEvent::getDurationMicros

- MongoDB\Driver\Monitoring\CommandSucceededEvent::getOperationId »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandSucceededEvent
- Returns the server hostname for the command

# MongoDB\Driver\Monitoring\CommandSucceededEvent::getHost

(mongodb >=1.20.0)

MongoDB\Driver\Monitoring\CommandSucceededEvent::getHost — Returns the server hostname for the command

### Description

final public MongoDB\Driver\Monitoring\CommandSucceededEvent::getHost(): string

### Parameters

This function has no parameters.

### Return Values

Returns the hostname of the server on which the command was executed.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.